react-native run-android 时 报错 * What went wrong: Could not determine java version from '9.0.1'. 这是怎么回事儿啊?



  • 0_1510105335460_微信图片_20171108094149.png



  • 我跟你一样 我靠· 半天找不到方法



  • 是啊!我在想是这个版本的JDK不行吗?



  • 我这个问题解决了· 你把下面这个文件的里面的内容改一下android\gradle\wrapper.gradle-wrapper.properties 这个内容里面的一段

    distributionUrl=https://services.gradle.org/distributions/gradle-4.3-rc-2-all.zip
    替换成上面这个然后运行· 我现在 又出现其他问题了



  • 什么问题?你试试把gradle下载到本地 替换路径试一下



  • 0_1510107907667_image.png
    你有遇上这种问题吗



  • 我也是你这个问题,现在也在找办法,网上说是JDK的版本的问题,但是替换成8了,也不行


登录后回复